# $Revision: 1.31 $, $Date: 2012/03/07 17:30:51 $
Summary:	Xau - X authorization file management library
Summary(pl.UTF-8):	Xau - biblioteka zarządzająca plikami autoryzacji X
Name:		xorg-lib-libXau
Version:	1.0.7
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXau-%{version}.tar.bz2
# Source0-md5:	2d241521df40d27034413436d1a1465c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Obsoletes:	libXau
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xau is the X authorization file management library, conforming to X
Authorization Protocol.


%description -l pl.UTF-8
Xau to biblioteka zarządzająca plikami autoryzacji X zgodnie z
protokołem autoryzacji X.

%package devel
Summary:	Header files for libXau library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXau
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-xproto-devel
Obsoletes:	libXau-devel

%description devel
Header files for libXau library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libXau.

%package static
Summary:	Static libXau library
Summary(pl.UTF-8):	Biblioteka statyczna libXau
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXau-static

%description static
Static libXau library.

%description static -l pl.UTF-8
Biblioteka statyczna libXau.

%prep
%setup -q -n libXau-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXau.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXau.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXau.so
%{_libdir}/libXau.la
%{_includedir}/X11/Xauth.h
%{_pkgconfigdir}/xau.pc
%{_mandir}/man3/Xau*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXau.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXau.spec,v $
Revision 1.31  2012/03/07 17:30:51  qboosh
- updated to 1.0.7

Revision 1.30  2011/01/29 00:08:03  sparky
- dropped pre-cvs changelog

Revision 1.29  2010/08/05 07:03:25  qboosh
- updated to 1.0.6

Revision 1.28  2009/09/29 16:25:47  qboosh
- updated util-macros version

Revision 1.27  2009/09/04 09:45:48  arekm
- up to 1.0.5

Revision 1.26  2008/08/29 15:07:56  qboosh
- updated to 1.0.4

Revision 1.25  2008/07/27 23:05:43  arekm
- release 2

Revision 1.24  2007-02-12 22:09:24  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.22  2006/12/18 19:10:46  qboosh
- more specific descs, unified -devel/-static

Revision 1.21  2006/12/16 15:15:01  arekm
- up to 1.0.3

Revision 1.20  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.19  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.18  2006/11/20 09:26:45  pluto
- release 2. (rebuild with P: *.la)

Revision 1.17  2006/08/08 11:17:07  qboosh
- updated to 1.0.2

Revision 1.16  2006/05/26 15:52:31  qboosh
- updated to 1.0.1

Revision 1.15  2006/03/08 21:59:16  qboosh
- release 1

Revision 1.14  2005/12/28 10:25:51  qboosh
- sources from X11R7.0 release

Revision 1.13  2005/12/20 12:00:03  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.12  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.11  2005/12/04 10:38:24  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.10  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.9  2005/10/20 22:10:06  qboosh
- BR: util-macros >= 0.99.1 (XORG_MANPAGE_SECTIONS)

Revision 1.8  2005/10/20 19:24:14  qboosh
- more verbose files - man(3x) here

Revision 1.7  2005/10/20 14:08:46  qboosh
- more docs

Revision 1.6  2005/10/20 13:02:38  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.13  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)
